Check Stolen Vehicle API
Introduction
This API from signzy is used to check wether a vehicle is stolen or not by entering vehicle registered number and vehicle type. If the vehicle is stolen its details are retrived.
How to call the API
You will need to login before sending the request. You are required to pass the access token received from the login call, as authorization header in the request.
API Input Guidelines
Both vehicleNumber and vehicleType input parameters are mandatory.
Sample Curl
curl --location --request POST 'https://signzy.tech/api/v2/patrons/<Patron ID>/vehicleregistrations' \
--header 'content-type: application/json' \
--header 'Authorization: <token>' \
--data-raw '{
"task": "checkStolenVehicle",
"essentials": {
"vehicleType": "<Type of Vehicle>",
"vehicleNumber": "<Vehicle Number>"
}
}'Response Parameter
Parameter Name | Description | | |
|---|---|---|---|
result | It contains the actual output of the response | | |
result.status | It returns whether the vehicle is stolen or not | | |
result.firNumber | Fir Number associated with the complaint filed | | |
result.address | Address of the vehicle owner | | |
result.stolenFrom | Place from where the vehicle was stolen | | |
result.complainant | Name of the person who filed complaint | | |
result.vehicleType | It describes type of vehicle stolen | | |
result.vehicleMaker | Details of Maker of vehicle | | |
result.registrationNumber | Registration number of stolen vehicle | | |
result.engineNumber | Engine number of stolen vehicle. | | |
result.vehicleModel | Model of stolen vehicle | | |
result.controlRoomNo | Control room number where complaint is registered | | |
result.chassisNumber | chassis Number of the stolen vehicle | | |
result.state | Name of the state | | |
result.firDate | Date on which fir was filed | | |
result.policeStation | Name of the police station | | |
result.phoneNumber | Contact Number of police station | | |
result.district | Name of the district | | |
Valid Values for Vehicle Type
S. NO. | VEHICLE TYPE |
|---|---|
1 | ambulance |
2 | autoRickshaw |
3 | bus |
4 | car |
5 | eAutorickshaw |
6 | eBike |
7 | eCar |
8 | eRickshaw |
9 | earthMover |
10 | jeep |
11 | lgvgoods |
12 | lorry |
13 | miniBus |
14 | miscellaneous |
15 | mobileCrane |
16 | moped |
17 | motorBoat |
18 | motorCycle |
19 | roadRoller |
20 | scooter |
21 | stationWagon |
22 | tanker |
23 | tempo |
24 | threeWheeler |
25 | tractor |
26 | trailer |
27 | truck |
28 | TWO WHEELER |
29 | van |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].